﻿
<div style="margin-top:2em;">

    <div class="file-input file-input-ajax-new">
        <div class="file-preview ">
            <div class="close-input fileinput-remove" ng-click="removeAll()">×</div>
            <div class="file-drop-zone">
                <div class="file-drop-zone-title" ng-show="ngModel.length <= 0">تحميل الصور </div>
                <div class="file-preview-thumbnails"  ng-show="ngModel.length > 0">
                    <div class="row">
                        <div id="aniimated-thumbnials">
                            <ul  class="image-view" >
                                <li  ng-repeat="i in ngModel track by $index" style="position:relative;" ng-if="!i.remove" >
                                    

                                    <img id="{{$index}}" ng-src="{{(i.url)?i.url:'data:image/png;base64,'+i.base64}}" alt="{{i.fileName}}" />
                                    <div class="overlay">
                                        <div>
                                            <button class="btn btn-primary" ng-click="showImage($index,i)">
                                                <i class="fa fa-search"></i>
                                            </button>
                                            <button class="btn btn-danger" ng-click="removeSingle($index)">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </div>
                                      
                                    </div>
                                </li>
                            </ul>
                            
                        </div>
                    </div>
                </div>
               
                <div class="clearfix"></div>
                <div class="file-preview-status text-center text-success"></div>
                <div class="kv-fileinput-error file-error-message" style="display: none;"></div>
            </div>
        </div>
        <div class="kv-upload-progress hide">
            <div class="progress">
                <div class="progress-bar progress-bar-success progress-bar-striped active" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%;">
                    0%
                </div>
            </div>
        </div>
        <div class="input-group file-caption-main">
            <div tabindex="500" class="form-control file-caption  kv-fileinput-caption" style="z-index:0;">
                <div class="file-caption-name"></div>
            </div>

            <div class="input-group-btn">
                <button type="button" tabindex="500" title="Clear selected files" class="btn btn-default fileinput-remove fileinput-remove-button"><i class="glyphicon glyphicon-trash"></i>  <span class="hidden-xs">حذف</span></button>
                <button type="button" tabindex="500" title="Abort ongoing upload" class="btn btn-default hide fileinput-cancel fileinput-cancel-button"><i class="glyphicon glyphicon-ban-circle"></i>  <span class="hidden-xs">الغاء</span></button>

                <div tabindex="500" class="btn btn-primary btn-file">
                    <i class="glyphicon glyphicon-folder-open"></i>&nbsp;
                    <span class="hidden-xs">تحميل ....</span>
                    <input multiple ng-model="SelectedImages" id="file" maxsize="9585588" maxnum="8"  accept="image/*"   type="file" ng-change="fetchImage()" base-sixty-four-input>
                   
                 </div>
            </div>
        </div>
    </div>



    <!-- The Modal -->
    <div id="ImageViewer" class="modal file" style="z-index: 999999999999999;">

        <!-- The Close Button -->
        <span class="close" style="" ng-click="closeModal()">&times;</span>

        <div class="left-arrow"><i class="fa fa-chevron-left" ng-click="previousImage()"></i></div>

        <!-- Modal Content (The Image) -->
        <img class="modal-content" id="imgModal">

        <div class="right-arrow"><i class="fa fa-chevron-right" ng-click="nextImage()"></i></div>

        <!-- Modal Caption (Image Text) -->
        <div id="caption">{{name}}</div>
    </div>


</div>



